package cn.com.infosec.asn1.x509;

import cn.com.infosec.asn1.DERObjectIdentifier;

public interface X509ObjectIdentifiers {
   String id = "2.5.4";
   DERObjectIdentifier commonName = new DERObjectIdentifier("2.5.4.3");
   DERObjectIdentifier countryName = new DERObjectIdentifier("2.5.4.6");
   DERObjectIdentifier localityName = new DERObjectIdentifier("2.5.4.7");
   DERObjectIdentifier stateOrProvinceName = new DERObjectIdentifier("2.5.4.8");
   DERObjectIdentifier organization = new DERObjectIdentifier("2.5.4.10");
   DERObjectIdentifier organizationalUnitName = new DERObjectIdentifier("2.5.4.11");
   DERObjectIdentifier id_SHA1 = new DERObjectIdentifier("1.3.14.3.2.26");
   DERObjectIdentifier ripemd160 = new DERObjectIdentifier("1.3.36.3.2.1");
   DERObjectIdentifier ripemd160WithRSAEncryption = new DERObjectIdentifier("1.3.36.3.3.1.2");
   DERObjectIdentifier id_ea_rsa = new DERObjectIdentifier("2.5.8.1.1");
   DERObjectIdentifier id_pkix;
   DERObjectIdentifier id_pe;
   DERObjectIdentifier id_ad;
   DERObjectIdentifier id_ad_caIssuers;
   DERObjectIdentifier id_ad_ocsp;
   DERObjectIdentifier ocspAccessMethod;
   DERObjectIdentifier crlAccessMethod;

   static {
      DERObjectIdentifier var0;
      DERObjectIdentifier var10000 = var0 = new DERObjectIdentifier;
      var10000.<init>("1.3.6.1.5.5.7");
      id_pkix = var10000;
      id_pe = new DERObjectIdentifier(var0 + ".1");
      DERObjectIdentifier var1;
      var10000 = var1 = new DERObjectIdentifier;
      var10000.<init>(var0 + ".48");
      id_ad = var10000;
      var10000 = id_ad_caIssuers = new DERObjectIdentifier(var1 + ".2");
      ocspAccessMethod = id_ad_ocsp = new DERObjectIdentifier(var1 + ".1");
      crlAccessMethod = var10000;
   }
}
